## qstat 2.0b

=== Makefile ===

CFLAGS =

# Uncomment if you have gcc
# CC = gcc

# NOTE: if you get errors when linking qstat (missing symbols or
# libraries), then switch the LIBS macro being used.

NO_LIBS =
SOLARIS_LIBS = -lsocket -lnsl
WINDOWS_LIBS = wsock32.lib
OS2_LIBS = so32dll.lib tcp32dll.lib

# Irix 5.3, Linux, FreeBSD, many other Unixes
LIBS = $(NO_LIBS)

# Solaris 2
# LIBS = $(SOLARIS_LIBS)

# Windows 95/NT
# LIBS = $(WINDOWS_LIBS)

# OS/2
# LIBS = $(OS2_LIBS)

# The first line is for Unix.  Switch the comment character for Windows.
# (there should be no need to compile on Windows, but in case you care ...)
all: qstat
#all: qstat.exe

qstat: qstat.c
	$(CC) $(CFLAGS) -o qstat qstat.c $(LIBS)

solaris: qstat.c
	$(CC) $(CFLAGS) -o qstat qstat.c $(SOLARIS_LIBS)

sgi freebsd irix linux: qstat.c
	$(CC) $(CFLAGS) -o qstat qstat.c $(NO_LIBS)

hp: qstat.c
	$(CC) $(CFLAGS) -Ae -o qstat qstat.c $(NO_LIBS)

windows: qstat.c
	$(CC) /ML /c qstat.c
	link qstat.obj /out:qstat.exe $(WINDOWS_LIBS)

os2: qstat.c
	$(CC) /Q /W0 /C+ qstat.c
	ilink /PM:VIO qstat.obj /out:qstat.exe $(OS2_LIBS)

clean:
	rm -f qstat core qstat.exe qstat.obj

VERSION = 20b
WVERSION = 20b
CP_FILES = Makefile qstat.txt qstatdoc.html qstat.c qstat.h \
	CHANGES.txt COMPILE.txt win32 os2

tar: always
	rm -rf tar qstat$(VERSION)
	rm -f qstat$(VERSION).tar qstat$(VERSION).tar.Z qstat$(VERSION).tar.gz
	mkdir qstat$(VERSION)
	-cp -rp $(CP_FILES) qstat$(VERSION)
	tar cvf qstat$(VERSION).tar qstat$(VERSION)
	gzip qstat$(VERSION).tar

zip: always
	rm -rf zip qsta$(WVERSION) qstat$(WVERSION)
	rm -f qstat$(WVERSION).zip qstat$(WVERSION).zip
	mkdir qstat$(WVERSION)
	-cp -rp $(CP_FILES) qstat$(WVERSION)
	mv qstat$(WVERSION)/qstatdoc.html qstat$(WVERSION)/qstatdoc.htm
	cd qstat$(WVERSION) ; crtocrlf * ; cd ..
	zip -r qstat$(WVERSION).zip qstat$(WVERSION)

always:

## qstat 2.1z

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 
 # NOTE: if you get errors when linking qstat (missing symbols or
 # libraries), then switch the LIBS macro being used.
+
+SRC = qstat.c hcache.c template.c
+O = qstat.o hcache.o template.o
+OBJ = qstat.obj hcache.obj template.obj
 
 NO_LIBS =
 SOLARIS_LIBS = -lsocket -lnsl
@@ -29,33 +33,34 @@
 all: qstat
 #all: qstat.exe
 
-qstat: qstat.c
-	$(CC) $(CFLAGS) -o qstat qstat.c $(LIBS)
+qstat: $(SRC)
+	$(CC) $(CFLAGS) -o qstat $(SRC) $(LIBS)
 
-solaris: qstat.c
-	$(CC) $(CFLAGS) -o qstat qstat.c $(SOLARIS_LIBS)
+solaris: $(SRC)
+	$(CC) $(CFLAGS) -o qstat $(SRC) $(SOLARIS_LIBS)
 
-sgi freebsd irix linux: qstat.c
-	$(CC) $(CFLAGS) -o qstat qstat.c $(NO_LIBS)
+aix sgi freebsd irix linux: $(SRC)
+	$(CC) $(CFLAGS) -o qstat $(SRC) $(NO_LIBS)
 
-hp: qstat.c
-	$(CC) $(CFLAGS) -Ae -o qstat qstat.c $(NO_LIBS)
+hp hpux: $(SRC)
+	$(CC) $(CFLAGS) -Ae -o qstat $(SRC) $(NO_LIBS)
 
-windows: qstat.c
-	$(CC) /ML /c qstat.c
-	link qstat.obj /out:qstat.exe $(WINDOWS_LIBS)
+windows: $(SRC)
+	$(CC) $(CFLAGS) /ML /c $(SRC)
+	link $(LDFLAGS) $(OBJ) /out:qstat.exe $(WINDOWS_LIBS)
 
-os2: qstat.c
-	$(CC) /Q /W0 /C+ qstat.c
-	ilink /PM:VIO qstat.obj /out:qstat.exe $(OS2_LIBS)
+os2: $(SRC)
+	$(CC) /Q /W0 /C+ $(SRC)
+	ilink /PM:VIO $(OBJ) /out:qstat.exe $(OS2_LIBS)
 
 clean:
-	rm -f qstat core qstat.exe qstat.obj
+	rm -f qstat core qstat.exe $(O) $(OBJ)
 
-VERSION = 20b
-WVERSION = 20b
+VERSION = 21a
+WVERSION = 21a
 CP_FILES = Makefile qstat.txt qstatdoc.html qstat.c qstat.h \
-	CHANGES.txt COMPILE.txt win32 os2
+	hcache.c template.c \
+	CHANGES.txt COMPILE.txt win32 os2 template
 
 tar: always
 	rm -rf tar qstat$(VERSION)
@@ -71,7 +76,24 @@
 	mkdir qstat$(WVERSION)
 	-cp -rp $(CP_FILES) qstat$(WVERSION)
 	mv qstat$(WVERSION)/qstatdoc.html qstat$(WVERSION)/qstatdoc.htm
+	mv qstat$(WVERSION)/template/brocTh.html \
+		qstat$(WVERSION)/template/brocTh.htm
+	mv qstat$(WVERSION)/template/brocTp.html \
+		qstat$(WVERSION)/template/brocTp.htm
+	mv qstat$(WVERSION)/template/brocTs.html \
+		qstat$(WVERSION)/template/brocTs.htm
+	mv qstat$(WVERSION)/template/brocTt.html \
+		qstat$(WVERSION)/template/brocTt.htm
+	mv qstat$(WVERSION)/template/unrealTh.html \
+		qstat$(WVERSION)/template/unrealTh.htm
+	mv qstat$(WVERSION)/template/unrealTp.html \
+		qstat$(WVERSION)/template/unrealTp.htm
+	mv qstat$(WVERSION)/template/unrealTs.html \
+		qstat$(WVERSION)/template/unrealTs.htm
+	mv qstat$(WVERSION)/template/unrealTt.html \
+		qstat$(WVERSION)/template/unrealTt.htm
 	cd qstat$(WVERSION) ; crtocrlf * ; cd ..
+	cd qstat$(WVERSION)/template ; crtocrlf * ; cd ../..
 	zip -r qstat$(WVERSION).zip qstat$(WVERSION)
 
 always:

## qstat 2.3g

=== Makefile ===
--- 
+++ 
@@ -56,11 +56,11 @@
 clean:
 	rm -f qstat core qstat.exe $(O) $(OBJ)
 
-VERSION = 21a
-WVERSION = 21a
+VERSION = 23g
+WVERSION = 23g
 CP_FILES = Makefile qstat.txt qstatdoc.html qstat.c qstat.h \
-	hcache.c template.c \
-	CHANGES.txt COMPILE.txt win32 os2 template
+        hcache.c template.c \
+        CHANGES.txt COMPILE.txt win32 template
 
 tar: always
 	rm -rf tar qstat$(VERSION)

## qstat 2.4e

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 SOLARIS_LIBS = -lsocket -lnsl
 WINDOWS_LIBS = wsock32.lib
 OS2_LIBS = so32dll.lib tcp32dll.lib
+EMX_LIBS = -lsocket
 
 # Irix 5.3, Linux, FreeBSD, many other Unixes
 LIBS = $(NO_LIBS)
@@ -39,28 +40,31 @@
 solaris: $(SRC)
 	$(CC) $(CFLAGS) -o qstat $(SRC) $(SOLARIS_LIBS)
 
-aix sgi freebsd irix linux: $(SRC)
+aix sgi freebsd openbsd irix linux: $(SRC)
 	$(CC) $(CFLAGS) -o qstat $(SRC) $(NO_LIBS)
 
 hp hpux: $(SRC)
 	$(CC) $(CFLAGS) -Ae -o qstat $(SRC) $(NO_LIBS)
 
 windows: $(SRC)
-	$(CC) $(CFLAGS) /ML /c $(SRC)
-	link $(LDFLAGS) $(OBJ) /out:qstat.exe $(WINDOWS_LIBS)
+	$(CC) $(CFLAGS) /ML $(SRC) /Feqstat.exe wsock32.lib
+#	link $(LDFLAGS) $(OBJ) /out:qstat.exe $(WINDOWS_LIBS)
 
 os2: $(SRC)
 	$(CC) /Q /W0 /C+ $(SRC)
 	ilink /PM:VIO $(OBJ) /out:qstat.exe $(OS2_LIBS)
 
+os2emx: $(SRC)
+	$(CC) $(CFLAGS) -o qstat.exe $(SRC) $(EMX_LIBS)
+
 clean:
 	rm -f qstat core qstat.exe $(O) $(OBJ)
 
-VERSION = 23g
-WVERSION = 23g
+VERSION = 24e
+WVERSION = 24e
 CP_FILES = Makefile qstat.txt qstatdoc.html qstat.c qstat.h \
-        hcache.c template.c \
-        CHANGES.txt COMPILE.txt win32 template
+	hcache.c template.c \
+	CHANGES.txt COMPILE.txt template
 
 tar: always
 	rm -rf tar qstat$(VERSION)
@@ -74,7 +78,7 @@
 	rm -rf zip qsta$(WVERSION) qstat$(WVERSION)
 	rm -f qstat$(WVERSION).zip qstat$(WVERSION).zip
 	mkdir qstat$(WVERSION)
-	-cp -rp $(CP_FILES) qstat$(WVERSION)
+	-cp -rp $(CP_FILES) win32 qstat$(WVERSION)
 	mv qstat$(WVERSION)/qstatdoc.html qstat$(WVERSION)/qstatdoc.htm
 	mv qstat$(WVERSION)/template/brocTh.html \
 		qstat$(WVERSION)/template/brocTh.htm
@@ -92,6 +96,14 @@
 		qstat$(WVERSION)/template/unrealTs.htm
 	mv qstat$(WVERSION)/template/unrealTt.html \
 		qstat$(WVERSION)/template/unrealTt.htm
+	mv qstat$(WVERSION)/template/tribes2th.html \
+		qstat$(WVERSION)/template/tribes2th.htm
+	mv qstat$(WVERSION)/template/tribes2tp.html \
+		qstat$(WVERSION)/template/tribes2tp.htm
+	mv qstat$(WVERSION)/template/tribes2ts.html \
+		qstat$(WVERSION)/template/tribes2ts.htm
+	mv qstat$(WVERSION)/template/tribes2tt.html \
+		qstat$(WVERSION)/template/tribes2tt.htm
 	cd qstat$(WVERSION) ; crtocrlf * ; cd ..
 	cd qstat$(WVERSION)/template ; crtocrlf * ; cd ../..
 	zip -r qstat$(WVERSION).zip qstat$(WVERSION)

## qstat 2.11

=== debian/changelog ===
qstat (2.11-3) unstable; urgency=low

  * Pass --with autotools_dev to dh for automatic config.{guess,sub}
    updating.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jun 2010 13:55:43 +0200

qstat (2.11-2) unstable; urgency=low

  * Move qstat to collab-maint's SVN. Add corresponding Vcs fields.
  * Move to debhelper 7.
  * Rewrite rules using dh. Adjust Build-Depends accordingly.
  * Add a Homepage field. 
  * Switch to source package format 3.0 (quilt).
  * Stop using CDBS' simple-patchsys.
  * Delete uneeded debian/dirs file.
  * Remove duplicate Priority and Section fields.
  * Update Standards-Version from 3.6.1 to 3.8.4 (no changes needed).
  * Build-Depend on autotools-dev, with the hope that dh will
    automagically refresh the very outdated helper files.
  * Add a watch file.
  * Add a doc-base file for qstatdoc.html, to appease lintian.
  * Add overrides for "package-section-games-but-contains-no-game":
    while qstat is useful for gamers, it's not a game itself.
  * Pass --enable-dump to configure.
  * Add spelling_fixes.patch with corrections to a few spelling errors
    spotted by lintian.
  * Add version_string.patch, which adds a --version option to print
    Qstat version (as used by help2man).
  * Add help_output.patch to fix some style and formatting issues with
    qstat's help output.
  * Add manpage for qstat (initially generated by help2man), 7 years later
    (closes: #222511).

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Jun 2010 01:10:10 +0200

qstat (2.11-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat,  4 Nov 2006 19:20:50 +0100

qstat (2.10-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Oct 2005 18:39:06 +0200

qstat (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat,  9 Apr 2005 16:27:25 +0200

qstat (2.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: qstat now uses autotools. Adapt cdbs accordingly.
  * debian/examples: adjust not to include automake stuff.
  * debian/docs: add a few .txt files.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Dec 2004 14:32:18 +0100

qstat (2.6-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/00_cvs_HEAD.patch: removed.

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Aug 2004 15:17:03 +0200

qstat (2.5c-3) unstable; urgency=low

  * debian/patches/00_cvs_HEAD.patch: update to current CVS as of 20040605.
    Thanks to Ludwig Nussel for providing a snapshot. No thanks to
    SourceForge's broken anonymous CVS access.
  * debian/changelog: fix bad release target in -2 (closes: #249133).

 -- Jordi Mallach <jordi@debian.org>  Mon,  7 Jun 2004 14:13:21 +0200

qstat (2.5c-2) unstable; urgency=low

  * qstat.cfg: drop the UT2S config, it's not needed in 2.5c.
  * debian/changelog:
    + fix typo in previous entry.
    + remove obsolete local emacs variables.
  * debian/control:
    + build-depend on cdbs, bump required debhelper to >= 4.1.0.
    + slightly improve the description.
    + bump Standards-Version to 3.6.1.0 (no changes required)
  * debian/compat: set debhelper compatibility version (4) here.
  * debian/rules:
    + rewrite using cdbs.
  * debian/patches/00_cvs_HEAD.patch: update to current CVS to pick up
    changes needed by several new games supported by XQF.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Nov 2003 15:02:01 +0100

qstat (2.5c-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version: 2.5.7.1.
  * debian/copyright: Qstat is under the Artistic license since 2.5a. Update
    accordingly.
  * debian/rules:
    + set SYSCONFDIR correctly (thanks, Ian Hastie; closes: #168392).
    + add support for "noopt" DEB_BUILD_OPTIONS, drop "debug".
  * qstat.cfg: add UT2S configuration from Ian. If anyone wants to see some
    other config not included already, please file a bug and I'll add it.

 -- Jordi Mallach <jordi@debian.org>  Sun, 17 Nov 2002 01:11:42 +0100

qstat (2.5b-1) unstable; urgency=low

  * New upstream release.
  * Applied patch from Ludwig Nussel to fix q3 and tribes2 broadcasts.
  * debian/control: Build-Depend: on debhelper >= 4.0.0.
  * debian/dirs:
    + added /etc.
    + removed /usr/games, /usr/share/man/man6,
      readded /usr/bin, /usr/share/man/man1.
  * debian/docs: removed qstat.txt.
  * debian/examples: added contrib.cfg.
  * debian/rules:
    + DH_COMPAT=4.
    + define sysconfdir in CFLAGS.
    + install quakestat back in /usr/bin, after talking to some users.
      qstat is really an admin tool, not a game.
    + removed dh_make cruft.

 -- Jordi Mallach <jordi@debian.org>  Mon, 12 Aug 2002 22:08:22 +0200

qstat (2.4e-1) unstable; urgency=low

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Fri,  5 Oct 2001 04:29:52 +0200

qstat (2.4d-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Standards-Version: 3.5.6.0 (no changes).

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Aug 2001 04:08:52 +0200

qstat (2.4c-1) unstable; urgency=low

  * New Maintainer. Thanks Michael!
  * New upstream release (closes: #94589).
  * The tarball isn't pristine, I removed ms-dos .exe crap from it.
  * debian/control:
    + added Build-Depends (debhelper 3)
    + Standards-Version: 3.5.5.5
  * debian/copyright: updated download URL.
  * debian/dirs: changed binary dir.
  * debian/rules:
    + new; based it on dh-make
    + moved the binary and manpage to /usr/games and section 6
    + support for DEB_BUILD_OPTIONS `debug' and `strip'

 -- Jordi Mallach <jordi@debian.org>  Fri,  8 Jun 2001 17:27:00 +0200

qstat (2.4a-1) frozen unstable; urgency=low

  * New upstream release

 -- Michael Alan Dorman <mdorman@mallet-assembly.org>  Wed, 10 Jan 2001 16:37:31 -0500

qstat (2.3g-1) frozen unstable; urgency=low

  * Ben Collins took it upon himself to upgraded the two bugs relating
    to a unnecessary postinst prompt to important.  Whaveter.


=== debian/control ===
Source: qstat
Maintainer: Jordi Mallach <jordi@debian.org>
Section: games
Priority: optional
Build-Depends: autotools-dev, debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/deb-maint/qstat/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/deb-maint/qstat/trunk/
Homepage: http://qstat.org/

Package: qstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: xqf (<< 0.9.2-1)
Description: Command-line tool for querying quake (and other) servers
 Qstat provides a simple interface for querying servers for a number
 of games, including but not limited to quake, quakeworld, quake2,
 quake3arena, unreal tournament or half-life.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with autotools_dev $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-dump

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/qstat
	mv $(CURDIR)/debian/qstat/usr/bin/qstat \
	   $(CURDIR)/debian/qstat/usr/bin/quakestat

## qstat 2.15

=== debian/changelog ===
qstat (2.15-6) unstable; urgency=medium

  * Backport patch from git to fix FTBFS with GCC-10 (closes: #957726).
  * Bump debhelper-compat to v13.
  * Update Standards-Version to 4.5.1, with no changes needed.
  * Update watch file to version 4.
  * Add some upstream metadata.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Nov 2020 13:57:55 +0100

qstat (2.15-5) unstable; urgency=medium

  * Update Vcs-* fields after moving to Debian salsa.
  * Switch to debhelper v12 and use debhelper-compat B-D.
  * Set Rules-Requires-Root to no.
  * Use https for the Format field of copyright file.
  * Update Standards-Version to 4.4.1.
  * Add gbp.conf and set pristine-tar to True.
  * Drop *.lst from list of example files.

 -- Jordi Mallach <jordi@debian.org>  Fri, 08 Nov 2019 19:43:16 +0100

qstat (2.15-4) unstable; urgency=medium

  * Update Vcs-* fields to reflect the switch from SVN to Git.
  * Bump debhelper compat to v10, and remove dh-autoreconf and autotools-dev
    from Build-Depends.
  * Drop the autoreconf and autotools_dev dh sequences.
  * Call dh_auto_install instead of $(MAKE) install.
  * Update Standards-Version 3.9.8.
  * Drop obsolete Breaks.
  * Enable all hardening options.
  * Add fix_teeworld_server_query.patch from upstream git: as name says
    (closes: #774728).
  * Update watch file for Github releases.

 -- Jordi Mallach <jordi@debian.org>  Sat, 14 Jan 2017 09:40:43 +0100

qstat (2.15-3) unstable; urgency=medium

  * Add path_max.patch: Fix build on the Hurd by avoiding the usage of
    PATH_MAX definitions. Many thanks to Svante Signel (closes: #814237).

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Feb 2016 13:44:28 +0100

qstat (2.15-2) unstable; urgency=medium

  * Fix FTBFS with gcc-5 by importing upstream patch (Closes: #790275)
  * Use autoreconf in addition of autotools, to regenerate build system and not
    stick on older autoreconf versions
  * Update upstream author and homepage
  * Update https url for Vcs-Browser

 -- Guillaume Delacour <gui@iroqwa.org>  Mon, 08 Feb 2016 11:21:01 +0100

qstat (2.15-1) unstable; urgency=low

  * Add Guillaume Delacour to Uploaders.
  * New upstream release (closes: #675838).
  * Refresh all patches.
  * Update to debhelper v9.
  * Fix passing of --with to dh.
  * Replace Conflicts with Breaks.
  * Exclude README.txt from examples.
  * Update Vcs URLs.
  * Rewrite copyright in machine-readable format 1.0.
  * Bump Standards-Version to 3.9.6.

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 Oct 2014 00:01:19 +0200

=== debian/control ===
Source: qstat
Maintainer: Jordi Mallach <jordi@debian.org>
Uploaders: Guillaume Delacour <gui@iroqwa.org>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/debian/qstat.git
Vcs-Browser: https://salsa.debian.org/debian/qstat
Homepage: https://github.com/multiplay/qstat
Rules-Requires-Root: no

Package: qstat
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Command-line tool for querying quake (and other) servers
 Qstat provides a simple interface for querying servers for a number
 of games, including but not limited to quake, quakeworld, quake2,
 quake3arena, unreal tournament or half-life.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-dump

override_dh_auto_install:
	dh_auto_install
	mv $(CURDIR)/debian/qstat/usr/bin/qstat \
	   $(CURDIR)/debian/qstat/usr/bin/quakestat

override_dh_installexamples:
	dh_installexamples -XREADME.txt

=== debian/watch ===
version=4
opts=uversionmangle=s/(pre\d|rc\d)/~$1/ \
  https://github.com/multiplay/qstat/releases .*/v(.+).tar.gz

## qstat 2.17

=== debian/changelog ===
qstat (2.17-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Fix day-of-week for changelog entry 2.0b-1.
  * Update standards version to 4.6.1, no changes needed.
  * Set upstream metadata fields: Bug-Submit.

  [ Jordi Mallach ]
  * Apply patch from Gentoo to fix build with GCC 15 (closes: #1097713).
  * Update copyright years.
  * Update Github URLs for the new Unity-Technologies organization.
  * Update Standards-Version to 4.7.2.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Sep 2025 08:31:44 +0200

qstat (2.17-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Jan 2022 23:32:01 +0100

qstat (2.16-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and drop obsolete ones.
  * Include pkg-info.mk and use DEB_VERSION_UPSTREAM to export
    QSTAT_VERSION.
  * Update Standards-Version to 4.6.0, with no changes.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Sep 2021 02:09:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qstat
 Maintainer: Jordi Mallach <jordi@debian.org>
-Uploaders: Guillaume Delacour <gui@iroqwa.org>
 Section: games
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/qstat.git
 Vcs-Browser: https://salsa.debian.org/debian/qstat
-Homepage: https://github.com/multiplay/qstat
+Homepage: https://github.com/Unity-Technologies/qstat
 Rules-Requires-Root: no
 
 Package: qstat

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/pkg-info.mk
+export QSTAT_VERSION=$(DEB_VERSION_UPSTREAM)
 
 %:
 	dh $@

=== debian/watch ===
version=4
opts=uversionmangle=s/(pre\d|rc\d)/~$1/ \
  https://github.com/Unity-Technologies/qstat/releases .*/v(.+).tar.gz
